CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM (
-   -   After Update Ubuntu "/opt/openfoam171/bin/paraFoam: 142: paraview: not found" (

pajofego November 19, 2010 14:35

After Update Ubuntu "/opt/openfoam171/bin/paraFoam: 142: paraview: not found"
Hello at all,

yesterday the automatic update of ubuntu wants to update openfoam. The standard solver and tool works fine. But after typing paraFoam I got following message:

"/opt/openfoam171/bin/paraFoam: 142: paraview: not found"

Paraview is installed on:


Typing this command in a console the message is:

"error while loading shared libraries: cannot open shared object file: No such file or directory"

Is there any workaround to fix this problem.

Best regards

pajofego November 19, 2010 16:02

o.k. I've to install

sudo apt-get install paraviewopenfoam381

Best regards

RugbyGandalf November 20, 2010 05:19

hi there, i have the same problem, but it won't work the way pajofego soveld it :(

i already deinstalled and reinstalled paraview and it won't work :(

it always says: paraview not found...
in case directory after typing paraFoam it gives out: /opt/openfoam171/bin/paraFoam: line 139: paraview: command not found

has anyone an idea?

thank you

stawrogin November 20, 2010 06:32


I had the same problem, but I fixed it with pajofeg's tip. Thanks for it.


mighelone November 20, 2010 10:00

After install paraview, you need to update your environmental setting:

# source /opt/openfoam171/etc/bashrc

after that everything works!

RugbyGandalf November 20, 2010 16:52

Thank you very much, that was working :)

Bertrand November 24, 2010 13:46

For me it's still not working :confused:

RugbyGandalf November 25, 2010 04:42


as told before, it worked for me, after typing

# source /opt/openfoam171/etc/bashrc

into the terminal.

Please check if your OpenFoam - bashrc ist also sitiuated in the path mentioned above. Are the versions the same?
What about typing only paraview in Terminal?


kurne December 8, 2010 08:01


Originally Posted by Bertrand (Post 284660)
For me it's still not working :confused:

Dear Bertrand
I am also facing the same problem but it is solve by the installing the cmake and its really work for me hope it will also work for you.

All times are GMT -4. The time now is 10:48.